%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define name            tyrex
%define version         0.9.7.0
%define release         2jpp
%define section		free

Summary: 		an Open Source implementation of the Java Transaction Service
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Group: 			Development/Tools
License: 		GPL
Url: 			http://tyrex.exolab.org/download.html
BuildArch:		noarch
BuildRequires:  ant >= 1.3, jdbc-stdext >= 2.0, jta >= 1.0.1, jndi >= 1.2
Source: 		%{name}-%{version}-src.tgz
Patch:          %{name}-%{version}.patch.bz2
BuildRoot: 		/var/tmp/%{name}-root

%description
Tyrex is a J2EE service provider for both Servlet
and EJB container, JMS providers and generic connectors. 
It provides services for security and authentication,
local and distributed transactions, resource configuration
and pooling, and TP monitoring. 

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup 
%patch

%build
# remove ant, xerces, xslp old jars since we'll use the one
# allready present on the system
rm -f lib/ant*.jar lib/xerces*.jar lib/xslp*.jar lib/jdbc-se2.0.jar lib/jta1.0.1.jar lib/jndi.jar
CLASSPATH=`echo lib/*.jar | tr ' ' ':'`:$CLASSPATH
CLASSPATH=build/classes/:$CLASSPATH:$JAVA_HOME/lib/tools.jar:%{javadir}/jta.jar:%{javadir}/jdbc-stdext.jar:%{javadir}/jndi.jar
export CLASSPATH

ant $ANT_OPTS -buildfile src/build.xml jar

# move xsl style to doc dir since xsl process didn't
# works in xsl are not on the same dir that xml !!!!
# doc generation didn't works with latest Xalan / ant
#cp src/doc/style/*.xsl src/doc/
#ant $ANT_OPTS -buildfile src/build.xml doc

ant $ANT_OPTS -buildfile src/build.xml javadoc
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{javadir}

install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}

# manual
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -prf build/doc/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

# versioning
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
#%doc LICENSE README WHATSNEW
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.7.0-2jpp
- section macro
- s/Copyright/License
- bzipped patch
- corrected source perms
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Mon Jan 21 2002 Henri Gomez <hgomez@slib.fr> 0.9.7.0-1jpp
- Initial jpp release
- will require a later rebuild against to be created package :
  castor-xml.jar, jaas.jar, jtf-0.1.jar, jts.jar, ldapjdk.jar, ots.jar, utils-0.5.jar

* Fri Nov 16 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7 RPM release 2
- rebuild with jikes 1.15

* Tue Oct 02 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7
- Initial release 
- XML documentation couldn't be generated using latest ant/xalan
- jikes 1.15 couldn't be used and reports many errors

